%define __libtoolize    /bin/true

Name:           kdmtheme
Summary:        Kdmtheme allow to change kdm theme
Version:        0.9.1
Release:        1mdk
Source:         %{name}-%{version}.tar.bz2
URL:           	http://smileaf.org/
Group:		Graphical desktop/KDE
BuildRoot:      %_tmppath/%name-buildroot
License:		GPL
BuildRequires:	XFree86-devel
BuildRequires:	kdelibs-devel
BuildRequires:	libart_lgpl-devel
BuildRequires:	arts-devel
BuildRequires:	png-devel
BuildRequires:	jpeg-devel
BuildRequires:	fam-devel
Requires:       kdebase >= 3.0.2
Patch1:			kdmtheme-0.8.2-use-kdesu.patch.bz2

%description
Kdmtheme allow to change theme in kdm when we used gdm theme

%prep
rm -rf $RPM_BUILD_ROOT 

%setup -q 
%patch1 -p1 -b .fix_use_kdmtheme

%build
make -f Makefile.cvs
export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_libKDEDIR/%_libLD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }

%configure --disable-rpath --enable-final

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall


#Menu

install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} "System/Configuration/KDE/System/" $RPM_BUILD_ROOT%{_datadir}/applications/kde/kdmtheme.desktop $RPM_BUILD_ROOT%{_menudir}/%{name}

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root,0755)
%_libdir/kde3/kcm_kdmtheme.la
%_libdir/kde3/kcm_kdmtheme.so
%_datadir/applications/kde/kdmtheme.desktop

%dir %_docdir/HTML/en/kdmtheme/
%doc %_docdir/HTML/en/kdmtheme/common
%doc %_docdir/HTML/en/kdmtheme/*.bz2
%doc %_docdir/HTML/en/kdmtheme/*.docbook
%doc %_docdir/HTML/en/kdmtheme/*.png
%_menudir/*



%changelog
* Wed Jul 20 2005 Laurent MONTEL <lmontel@mandriva.com> 0.9.1-1mdk
- 0.9.1

* Fri Jul 08 2005 Laurent MONTEL <lmontel@mandriva.com> 0.9-4mdk
- Rebuild

* Thu Apr 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9-3mdk
- Fix compile on x86_64 (copy/paste is bad !!!)

* Wed Apr 06 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9-2mdk
- Add patch2: fix disable widget

* Wed Apr 06 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9-1mdk
- 0.9

* Mon Apr 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.2-3mdk
- Patch1: Fix use kdesu

* Fri Mar 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.2-2mdk
- Fix build on x86_64

* Fri Mar 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.2-1mdk
- 0.8.2

* Thu Mar 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-1mdk
- 0.6
- Integrate my other patchs

* Wed Mar 23 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-1mdk
- 0.5
- Remove all my patch (all was add into release 0.5)

* Wed Mar 23 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-7mdk
- Add patch7: disable action when is not root

* Wed Mar 23 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-6mdk
- Add patch6: fix rootonly

* Wed Mar 23 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-5mdk
- Fix menu entry

* Wed Mar 23 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-4mdk
- Add patch5: fix reference

* Wed Mar 23 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-3mdk
- Add patch4: fix crash when "themes" doesn't exist

* Wed Mar 23 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-2mdk
- Add patch3: fix mem leak
- Fix url

* Wed Mar 23 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-1mdk
- First package

